<!-- balance 余额明细 -->
<template>
  <div>
    <div class="mb20">
      <el-input clearable class="w250 mr20" clearable v-model="search_data.search" placeholder="流水号/账号/会员"></el-input>
      <el-select clearable class="mr20 w200" clearable v-model="search_data.type" placeholder="请选择类型">
        <el-option label="请选择类型" value></el-option>
        <el-option v-for="item in  GetBaseData('finance','credit1')" :key="item.id" :label="item.name" :value="item.id"></el-option>
      </el-select>

      <el-date-picker value-format="yyyy-MM-dd" v-model="search_data.start_end" type="daterange" range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期">
      </el-date-picker>

      <el-button class="ml10" icon="el-icon-search" size="small" type="primary" @click="m_search">搜索</el-button>

    </div>

    <el-table ref="m_table" size="mini" border :max-height="tableHeight" v-loading="m_tableLoading" @selection-change="m_handleSelectionChange" @current-change="m_handleCurrentChange" border :stripe="true" tooltip-effect="dark" :highlight-current-row="true" :data="m_list">
      <!-- <el-table-column align="center" type="selection" width="55"></el-table-column> -->
        <el-table-column align="center" width="200" prop="seller" label="卖家名字"></el-table-column>
        <el-table-column width="160px" align="center" prop="user" label="用户名"> </el-table-column>
        <el-table-column align="center" prop="message" label="信息"></el-table-column>
          <el-table-column align="center" prop="created_at" label="时间"></el-table-column>
    </el-table>
    <Paging class="mt20 mb30" :pageIndex="m_page.page" :pageSize="m_page.limit" :pageTotal="m_page.total" @changeSize="m_changesize" @changeIndex="m_changeindex"></Paging>

  </div>

    
</template>

  



<script>
import * as api from '@/api'
export default {
  name: 'withdraw',
  data() {
    return {
      search_data: {
        search: '',
        type: '',
        start_end: []


      },
      formData : { 
          amount:'',
          img_url : '', 
      },
      m_show: false, 
      m_showForm:false, 
      image : '',
      id: '',
      'userInfo': '',
    }
  },
  created() {
    this.init()
  },
  methods: {
    //初始化方法
    init() {
    this.userInfo = sessionStorage.userInfo && JSON.parse(sessionStorage.userInfo) || {}
    console.log(this.userInfo)  
      this.getDatalist()
    },

    //获取数据信息
    getDatalist() {
        
      this.m_tableLoading = true
      let data = Object.assign(this.search_data, this.m_page);

      api.report_seller(data).then(res => {
        //console.log(res)
        this.m_list = res.data.data
        this.m_page.total = res.data.total

      }).finally(() => {
        this.m_tableLoading = false
      })
    },
  },
}

</script>
<style lang='scss' scoped>
</style>